# audiopanorama

Stereo panorama effect with controllable pan position. One can choose between the default psychoacoustic panning method, which keeps the same perceived loudness, and a simple panning method that just controls the volume on one channel.

## Example launch line

     gst-launch-1.0 audiotestsrc wave=saw ! audiopanorama panorama=-1.00 ! alsasink
     gst-launch-1.0 filesrc location="melo1.ogg" ! oggdemux ! vorbisdec ! audioconvert ! audiopanorama panorama=-1.00 ! alsasink
     gst-launch-1.0 audiotestsrc wave=saw ! audioconvert ! audiopanorama panorama=-1.00 ! audioconvert ! alsasink
     gst-launch-1.0 audiotestsrc wave=saw ! audioconvert ! audiopanorama method=simple panorama=-0.50 ! audioconvert ! alsasink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──audiopanorama

## Factory details

Authors: – Stefan Kost

Classification: – `Filter/Effect/Audio`

Rank – none

Plugin – audiofx

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: { F32LE, S16LE }
               rate: [ 1, 2147483647 ]
           channels: [ 1, 2 ]
             layout: interleaved

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: { F32LE, S16LE }
               rate: [ 1, 2147483647 ]
           channels: 2
             layout: interleaved

Presence – always

Direction – src

Object type – GstPad

## Properties

### method

    “method” Audio-panorama-method *

Panning method: psychoacoustic mode keeps the same perceived loudness, while simple mode just controls the volume of one channel. It's merely a matter of taste which method should be chosen.

Flags : Read / Write

Default value : psychoacoustic (0)

### panorama

    “panorama” gfloat

Position in stereo panorama (-1.0 left -> 1.0 right)

Flags : Read / Write

Default value : 0

## Named constants

### Audio-panorama-method

#### Members

`psychoacoustic` (0) – Psychoacoustic Panning (default)
`simple` (1) – Simple Panning

The results of the search are